"use strict";

const assureArray = require("assure-array");
const isPlainObject = require("@validatem/is-plain-object");

const validateArguments = require("./validate-arguments");

module.exports = function (args, optionsRules) {
	let result = validateArguments(args, [
		["options", isPlainObject].concat(assureArray(optionsRules))
	]);

	return result[0];
};
